import { jsx } from "react/jsx-runtime";
import { TokenMMPRO as TokenMMPRO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMMPRO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MMPRO", "data-name": "TokenMMPRO", ...props, children: /* @__PURE__ */ jsx(TokenMMPRO$1, { variant }) });
  }
);
TokenMMPRO.displayName = "TokenMMPRO";
Object.assign(TokenMMPRO, { isGdsIcon: true });
export {
  TokenMMPRO
};
